package org.springblade.device.feign;

import org.springblade.core.tool.api.R;
import org.springblade.device.dto.DispatchTask;
import org.springblade.device.entity.DoorDevice;
import org.springblade.device.vo.DoorDeviceVO;
import org.springframework.stereotype.Component;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Component
public class DoorDeviceClientFallback implements IDoorDeviceClient {
            /**
         * 详情
         */
        @Override
        public DoorDeviceVO detail(DoorDevice doorDevice) {
            return null;
        }

	@Override
	public DoorDevice getById(Long id) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<DoorDeviceVO> list(DoorDevice doorDevice) {
            return new ArrayList<>();
        }

	@Override
	public List<DoorDeviceVO> listMap(Map<String, Object> doorDevice) {
		return new ArrayList<>();
	}


	/**
         * 新增
         */
        @Override
        public boolean save( DoorDevice doorDevice) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( DoorDevice doorDevice) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( DoorDevice doorDevice) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R pushUserFace(DispatchTask task, Integer operType) {
		return null;
	}

	@Override
	public List<DoorDevice> getListByMacAddresses(List<String> macAddresses) {
		return new ArrayList<>();
	}

	@Override
	public List<DoorDeviceVO> getListByResidentialAndUnit(Long residentialId, Long unitId, Integer localType) {
		return new ArrayList<>();
	}

	@Override
	public List<DoorDeviceVO> getListByAgencyAndResidential(Long agencyId, Long residentialId) {
		return new ArrayList<>();
	}

	@Override
	public DoorDeviceVO getBySerialNum(String serialNum) {
		return null;
	}

	@Override
	public R heartbeat(String serialNum) {
		return null;
	}

	@Override
	public List<DoorDevice> getListByAgencyId(Long agencyId) {
		return null;
	}

	@Override
	public R remoteOpenDoor(String userId, String userName, String userType, String serialNum, String factory, boolean isOpen) {
		return null;
	}

	@Override
	public List<DoorDevice> listByIds(String ids) {
		return null;
	}

}
